Subject: Re: bug#11868: 24.1.50; [python-mode] Blocking call to accept-process-output with quit inhibited!! (message buffer)

From: Glenn Morris <[email-masked]>
Date: Fri, 06 Jul 2012 13:39:00 -0400

Yagnesh Raghava Yakkala wrote:

> I see this message when ever I try to use completion feature in python-mode.

Which mode for python? The one that comes with Emacs?
("python-mode.el" does not.)

> http://lists.gnu.org/archive/html/emacs-devel/2010-09/msg00199.html
>
> I couldn't understand what was discussed in that thread.

http://lists.gnu.org/archive/html/emacs-devel/2010-09/msg00201.html

seems fairly clear. python mode should consider adding a with-local-quit
somewhere in its completion code.

Also:
http://lists.gnu.org/archive/html/emacs-devel/2012-04/msg00596.html

> Steps reproduce this behavior:
> 1) emacs -q
> 2) C-x C-f test.py
> 3) C-c C-c  # start a inferior process
> 4) type some thing and hit M-tab

This just prints "no match" for me.

> In GNU Emacs 24.1.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
>  of 2012-07-03 on ubu-vm
[...]
> Major mode: Python/ein:notebook
[...]
> /home/yagnesh/.emacs.d/el-get/python/python hides /home/yagnesh/local/emacs-git/share/emacs/24.1.50/lisp/progmodes/python